---
kind: pipeline
type: docker
name: default

steps:
- name: docker  
  image: plugins/docker
  settings:
    username:
      from_secret: username
    password:
      from_secret: password
    repo: reg.geekman.dev/my/cloudflare-railgun
    registry: reg.geekman.dev
